logo
DATABASE RESOURCES PRICING ABOUT US

Linux kernel vulnerabilities

Description

Zhenpeng Lin discovered that the network packet scheduler implementation in the Linux kernel did not properly remove all references to a route filter before freeing it in some situations. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-2588) It was discovered that the netfilter subsystem of the Linux kernel did not prevent one nft object from referencing an nft set in another nft table, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-2586) It was discovered that the implementation of POSIX timers in the Linux kernel did not properly clean up timers in some situations. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-2585) Minh Yuan discovered that the floppy disk driver in the Linux kernel contained a race condition, leading to a use-after-free vulnerability. A local attacker could possibly use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-1652) It was discovered that the Atheros ath9k wireless device driver in the Linux kernel did not properly handle some error conditions, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2022-1679) Felix Fu discovered that the Sun RPC implementation in the Linux kernel did not properly handle socket states, leading to a use-after-free vulnerability. A remote attacker could possibly use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-28893) Johannes Wikner and Kaveh Razavi discovered that for some AMD x86-64 processors, the branch predictor could by mis-trained for return instructions in certain circumstances. A local attacker could possibly use this to expose sensitive information. (CVE-2022-29900) Johannes Wikner and Kaveh Razavi discovered that for some Intel x86-64 processors, the Linux kernel's protections against speculative branch target injection attacks were insufficient in some circumstances. A local attacker could possibly use this to expose sensitive information. (CVE-2022-29901) Arthur Mongodin discovered that the netfilter subsystem in the Linux kernel did not properly perform data validation. A local attacker could use this to escalate privileges in certain situations. (CVE-2022-34918)


Affected Package


OS OS Version Package Name Package Version
Ubuntu 22.04 linux-image-5.15.0-1016-kvm 5.15.0-1016.19
Ubuntu 22.04 linux-image-5.15.0-1004-kvm 5.15.0-1016.19
Ubuntu 22.04 linux-image-5.15.0-1004-kvm-dbgsym 5.15.0-1016.19
Ubuntu 22.04 linux-image-5.15.0-1012-ibm 5.15.0-1012.14
Ubuntu 22.04 linux-image-5.15.0-1002-ibm 5.15.0-1012.14
Ubuntu 22.04 linux-image-5.15.0-1002-ibm-dbgsym 5.15.0-1012.14
Ubuntu 22.04 linux-image-5.15.0-1016-gcp 5.15.0-1016.21
Ubuntu 22.04 linux-image-5.15.0-1003-gcp 5.15.0-1016.21
Ubuntu 22.04 linux-image-5.15.0-1003-gcp-dbgsym 5.15.0-1016.21
Ubuntu 22.04 linux-image-aws 5.15.0.1017.17
Ubuntu 22.04 linux-aws 5.15.0.1017.17
Ubuntu 22.04 linux-headers-aws 5.15.0.1017.17
Ubuntu 22.04 linux-modules-extra-aws 5.15.0.1017.17
Ubuntu 22.04 linux-tools-aws 5.15.0.1017.17
Ubuntu 22.04 linux-image-5.15.0-1013-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-buildinfo-5.15.0-1005-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-buildinfo-5.15.0-1005-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-headers-5.15.0-1005-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-headers-5.15.0-1005-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-image-5.15.0-1005-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-image-5.15.0-1005-raspi-dbgsym 5.15.0-1013.15
Ubuntu 22.04 linux-image-5.15.0-1005-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-image-5.15.0-1005-raspi-nolpae-dbgsym 5.15.0-1013.15
Ubuntu 22.04 linux-modules-5.15.0-1005-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-modules-5.15.0-1005-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-modules-extra-5.15.0-1005-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-modules-extra-5.15.0-1005-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-raspi-headers-5.15.0-1005 5.15.0-1013.15
Ubuntu 22.04 linux-raspi-tools-5.15.0-1005 5.15.0-1013.15
Ubuntu 22.04 linux-tools-5.15.0-1005-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-tools-5.15.0-1005-raspi-nolpae 5.15.0-1013.15
Ubuntu 22.04 linux-image-gke-5.15 5.15.0.1014.17
Ubuntu 22.04 linux-gke 5.15.0.1014.17
Ubuntu 22.04 linux-gke-5.15 5.15.0.1014.17
Ubuntu 22.04 linux-headers-gke 5.15.0.1014.17
Ubuntu 22.04 linux-headers-gke-5.15 5.15.0.1014.17
Ubuntu 22.04 linux-image-gke 5.15.0.1014.17
Ubuntu 22.04 linux-tools-gke 5.15.0.1014.17
Ubuntu 22.04 linux-tools-gke-5.15 5.15.0.1014.17
Ubuntu 22.04 linux-image-ibm 5.15.0.1012.11
Ubuntu 22.04 linux-headers-ibm 5.15.0.1012.11
Ubuntu 22.04 linux-ibm 5.15.0.1012.11
Ubuntu 22.04 linux-tools-ibm 5.15.0.1012.11
Ubuntu 22.04 linux-image-azure 5.15.0.1017.16
Ubuntu 22.04 linux-azure 5.15.0.1017.16
Ubuntu 22.04 linux-cloud-tools-azure 5.15.0.1017.16
Ubuntu 22.04 linux-headers-azure 5.15.0.1017.16
Ubuntu 22.04 linux-modules-extra-azure 5.15.0.1017.16
Ubuntu 22.04 linux-tools-azure 5.15.0.1017.16
Ubuntu 22.04 linux-image-raspi-nolpae 5.15.0.1013.12
Ubuntu 22.04 linux-headers-raspi 5.15.0.1013.12
Ubuntu 22.04 linux-headers-raspi-nolpae 5.15.0.1013.12
Ubuntu 22.04 linux-image-raspi 5.15.0.1013.12
Ubuntu 22.04 linux-modules-extra-raspi 5.15.0.1013.12
Ubuntu 22.04 linux-modules-extra-raspi-nolpae 5.15.0.1013.12
Ubuntu 22.04 linux-raspi 5.15.0.1013.12
Ubuntu 22.04 linux-raspi-nolpae 5.15.0.1013.12
Ubuntu 22.04 linux-tools-raspi 5.15.0.1013.12
Ubuntu 22.04 linux-tools-raspi-nolpae 5.15.0.1013.12
Ubuntu 22.04 linux-image-5.15.0-1017-aws 5.15.0-1017.21
Ubuntu 22.04 linux-image-5.15.0-1004-aws 5.15.0-1017.21
Ubuntu 22.04 linux-image-5.15.0-1004-aws-dbgsym 5.15.0-1017.21
Ubuntu 22.04 linux-image-gcp 5.15.0.1016.14
Ubuntu 22.04 linux-gcp 5.15.0.1016.14
Ubuntu 22.04 linux-headers-gcp 5.15.0.1016.14
Ubuntu 22.04 linux-modules-extra-gcp 5.15.0.1016.14
Ubuntu 22.04 linux-tools-gcp 5.15.0.1016.14
Ubuntu 22.04 linux-image-5.15.0-1014-gke 5.15.0-1014.17
Ubuntu 22.04 linux-image-5.15.0-1002-gke 5.15.0-1014.17
Ubuntu 22.04 linux-image-5.15.0-1002-gke-dbgsym 5.15.0-1014.17
Ubuntu 22.04 linux-image-5.15.0-1016-oracle 5.15.0-1016.20
Ubuntu 22.04 linux-image-5.15.0-1002-oracle 5.15.0-1016.20
Ubuntu 22.04 linux-image-5.15.0-1002-oracle-dbgsym 5.15.0-1016.20
Ubuntu 22.04 linux-image-oracle 5.15.0.1016.14
Ubuntu 22.04 linux-headers-oracle 5.15.0.1016.14
Ubuntu 22.04 linux-oracle 5.15.0.1016.14
Ubuntu 22.04 linux-tools-oracle 5.15.0.1016.14
Ubuntu 22.04 linux-image-5.15.0-1013-raspi 5.15.0-1013.15
Ubuntu 22.04 linux-image-5.15.0-1017-azure 5.15.0-1017.20
Ubuntu 22.04 linux-image-5.15.0-1003-azure 5.15.0-1017.20
Ubuntu 22.04 linux-image-5.15.0-1003-azure-dbgsym 5.15.0-1017.20
Ubuntu 22.04 linux-image-kvm 5.15.0.1016.14
Ubuntu 22.04 linux-headers-kvm 5.15.0.1016.14
Ubuntu 22.04 linux-kvm 5.15.0.1016.14
Ubuntu 22.04 linux-tools-kvm 5.15.0.1016.14
Ubuntu 20.04 linux-image-5.15.0-1017-azure 5.15.0-1017.20~20.04.1
Ubuntu 20.04 linux-image-azure 5.15.0.1017.20~20.04.10
Ubuntu 20.04 linux-image-5.15.0-1017-aws 5.15.0-1017.21~20.04.1
Ubuntu 20.04 linux-image-5.15.0-1016-gcp 5.15.0-1016.21~20.04.1
Ubuntu 20.04 linux-image-aws 5.15.0.1017.21~20.04.9
Ubuntu 20.04 linux-image-gcp 5.15.0.1016.21~20.04.1
Ubuntu 20.04 linux-image-gke-5.15 5.15.0.1014.17~20.04.1
Ubuntu 20.04 linux-image-5.15.0-1014-gke 5.15.0-1014.17~20.04.1

Related